petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESNCG

Nonlinear Conjugate-Gradient method for the solution of general nonlinear systems. Many br

### Options Database

| -snes_ncg_type <fr, prp, dy, hs, cd> | - Choice of conjugate-gradient update parameter, default is prp. Many br
| -snes_linesearch_type <cp,l2,basic> | - Line search type. Many br
| -snes_ncg_monitor | - Print relevant information about the ncg iteration. Many br

Notes: This solves the nonlinear system of equations F(x) = 0 using the nonlinear generalization of the conjugate Many brgradient method. This may be used with a nonlinear preconditioner used to pick the new search directions, but otherwise Many brchooses the initial search direction as F(x) for the initial guess x. Many br

### References

1. -Peter R. Brune, Matthew G. Knepley, Barry F. Smith, and Xuemin Tu,"Composing Scalable Nonlinear Algebraic Solvers", Many brSIAM Review, 57(4), 2015 Many br

### See Also

SNESCreate(), SNES, SNESSetType(), SNESNEWTONLS, SNESNEWTONTR, SNESNGMRES, SNESNQN

Level:beginner
Location:src/snes/impls/ncg/snesncg.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages